Package fr.gouv.vitam.functional.administration.common

# Class Context

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<Context>
fr.gouv.vitam.functional.administration.common.Context

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class Context extends VitamDocument<Context>
Defines a Context collection.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IDENTIFIER`
  the Context id
  `static final String`
  `NAME`
  the Context name
  `static final String`
  `PERMISSION`
  the Context description
  `static final String`
  `SECURITY_PROFILE`
  The security profile identifier
  `static final String`
  `STATUS`
  the Context status

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Context()`
  Empty Constructor
  `Context(com.fasterxml.jackson.databind.JsonNode content)`
  `Context(String content)`
  `Context(org.bson.Document document)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VitamDocument<Context>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### IDENTIFIER

    public static final String IDENTIFIER
    the Context id
    See Also:
      - Constant Field Values

  - ### NAME

    public static final String NAME
    the Context name
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final String STATUS
    the Context status
    See Also:
      - Constant Field Values

  - ### SECURITY_PROFILE

    public static final String SECURITY_PROFILE
    The security profile identifier
    See Also:
      - Constant Field Values

  - ### PERMISSION

    public static final String PERMISSION
    the Context description
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Context

    public Context()
    Empty Constructor

  - ### Context

    public Context(org.bson.Document document)
    Constructor
    Parameters:
      `document` - data in format Document to create context

  - ### Context

    public Context(com.fasterxml.jackson.databind.JsonNode content)
    Parameters:
      `content` - in format JsonNode to create context

  - ### Context

    public Context(String content)
    Parameters:
      `content` - in format String to create context

- ## Method Details

  - ### newInstance

    public VitamDocument<Context> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<Context>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content